Package org.kie.internal.builder.conf

## Class DefaultDialectOption

- java.lang.Object
- - org.kie.internal.builder.conf.DefaultDialectOption

- All Implemented Interfaces:
    `Serializable`, `org.kie.api.conf.Option`, `KnowledgeBuilderOption`, `SingleValueKnowledgeBuilderOption`

      public class DefaultDialectOption
      extends Object
      implements SingleValueKnowledgeBuilderOption

  A class for the default dialect configuration.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `PROPERTY_NAME` | The property name for the default DIALECT

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `static DefaultDialectOption` | `get​(String name)` | This is a factory method for this DefaultDialect configuration.
    `String` | `getName()` | Returns the name of the dialect configured as default
    `String` | `getPropertyName()`
    `int` | `hashCode()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_NAME

          public static final String PROPERTY_NAME

      The property name for the default DIALECT
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### get

          public static DefaultDialectOption get​(String name)

      This is a factory method for this DefaultDialect configuration. The factory method is a best practice for the case where the actual object construction is changed in the future.
      Parameters:
        `name` - the name of the dialect to be configured as default
      Returns:
        the actual type safe default dialect configuration.

    - #### getPropertyName

          public String getPropertyName()

      Specified by:
        `getPropertyName` in interface `org.kie.api.conf.Option`

    - #### getName

          public String getName()

      Returns the name of the dialect configured as default
      Returns:

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`